Support » Plugin: Addon Library » PHP Warnings in Admin after PHP 7.3 Upgrade

  • PHP 7.3 upgrade is now throwing warnings in the admin:

    Warning: "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"? in /nas/content/live/virtuapartners/wp-content/plugins/addon-library/inc_php/layouts/unitecreator_layouts_exporter.class.php on line 669

    This wouldn’t be a huge problem if the plugin itself didn’t always turn error reporting on.

    I suggest wrapping line 11 of addonlibrary.php in a conditional detecting whether WP_DEBUG is turned on.

  • The topic ‘PHP Warnings in Admin after PHP 7.3 Upgrade’ is closed to new replies.